Bug 1420049 - system_reset should clear pending request for error (virtio-blk)
Summary: system_reset should clear pending request for error (virtio-blk)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Fam Zheng
QA Contact: aihua liang
URL:
Whiteboard:
Depends On: 1361488
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 16:37 UTC by Jaroslav Reznik
Modified: 2017-03-02 17:29 UTC (History)
16 users (show)

Fixed In Version: qemu-kvm-1.5.3-126.el7_3.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1361488
Environment:
Last Closed: 2017-03-02 17:29:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0396 normal SHIPPED_LIVE Important: qemu-kvm security and bug fix update 2017-03-02 22:07:28 UTC

Description Jaroslav Reznik 2017-02-07 16:37:51 UTC
This bug has been copied from bug #1361488 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 4 Miroslav Rezanina 2017-02-10 11:20:30 UTC
Fix included in qemu-kvm-1.5.3-126.el7_3.4

Comment 8 aihua liang 2017-02-14 07:51:16 UTC
Verified, it has been resolved, so set its status to "Verified".

Version-Release number:
  kernel version:3.10.0-514.10.1.el7.x86_64
  qemu-kvm-rhev version:qemu-kvm-1.5.3-126.el7_3.4.x86_64

Test Step:
 1.Create a 25G qcow2 image and install windows2012r2 on it.

 2.Full write the guest image disk until no space left on device.

 3.Start guest by qemu cmd:
/usr/libexec/qemu-kvm \
-name 'avocado-vt-vm1'  \
-sandbox off  \
-machine pc  \
-nodefaults  \
-vga std  \
-chardev socket,id=qmp_id_qmpmonitor1,path=/var/tmp/monitor-qmpmonitor1-20161219-042734-6fVMWCMz,server,nowait \
-mon chardev=qmp_id_qmpmonitor1,mode=control  \
-chardev socket,id=qmp_id_catch_monitor,path=/var/tmp/monitor-catch_monitor-20161219-042734-6fVMWCMz,server,nowait \
-mon chardev=qmp_id_catch_monitor,mode=control \
-drive id=drive_image1,if=none,snapshot=off,aio=native,cache=none,format=qcow2,file=/usr/share/avocado/data/avocado-vt/images/win2012.qcow2 \
-device virtio-blk-pci,id=image1,drive=drive_image1,bootindex=0,bus=pci.0,addr=03 \
-device virtio-net-pci,mac=9a:f2:f3:f4:f5:f6,id=id30uvBS,vectors=4,netdev=idADyVP5,bus=pci.0,addr=04  \
-netdev tap,id=idADyVP5,vhost=on \
-m 2048  \
-smp 16,maxcpus=16,cores=8,threads=1,sockets=2  \
-cpu host \
-vnc :0  \
-rtc base=localtime,clock=host,driftfix=slew  \
-boot order=cdn,once=d,menu=off,strict=off \
-enable-kvm \
-spice port=3000,ipv4,disable-ticketing \
-monitor stdio \

 4.Wait until it hangs

 5.Check vm status:
   (qemu)info status     -------> VM status:paused(io-error)

 6.Reset vm, then check vm status
   (qemu)info status    -------->VM status:paused(io-error)

 7.Cont vm
   (qemu)cont           -------->VM restart but hang when loading os

 8.Check vm status
   (qemu)info status    -------->VM status:paused(io-error)

 9.Clean the full disk for enough space, then repeat step6~8
   (qemu)info status    -------->VM status:running

Actual Result:
 VM can recover from io-error after reset

Comment 10 errata-xmlrpc 2017-03-02 17:29:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0396.html


Note You need to log in before you can comment on or make changes to this bug.